root_sbindir       = "/sbin"
root_libdir        = "/lib"
root_etcdir        = "/etc"
root_sbin_PROGRAMS = property-vault

property_vault_SOURCES  = property_vault.c
property_vault_SOURCES += ll.c
property_vault_CFLAGS = @GLIB_CFLAGS@
property_vault_LDFLAGS = @GLIB_LIBS@

lib_LTLIBRARIES = libpropertyvault.la
libpropertyvault_la_SOURCES = properties.c
libpropertyvault_la_CFLAGS = -I$(top_srcdir) @GLIB_CFLAGS@
libpropertyvault_la_LDFLAGS = -version-info 0:0:0 @GLIB_LIBS@
libpropertyvault_la_includedir = $(includedir)
libpropertyvault_la_include_HEADERS = properties_def.h properties.h

bin_PROGRAMS     = setprop
setprop_SOURCES  = setprop.c
setprop_CFLAGS   = -I$(top_srcdir) @GLIB_CFLAGS@
setprop_LDFLAGS  = -lselinux @GLIB_LIBS@
setprop_LDADD = libpropertyvault.la

bin_PROGRAMS    += getprop
getprop_SOURCES  = getprop.c
getprop_CFLAGS   = -I$(top_srcdir) @GLIB_CFLAGS@
getprop_LDFLAGS  = -lselinux @GLIB_LIBS@
getprop_LDADD = libpropertyvault.la

if USE_SYSTEMD
property_vault_systemddir   = $(root_libdir)/systemd/system
property_vault_systemd_DATA = property-vault.service
endif